package com.supervision.manage.pojo.vo;

import com.supervision.model.AskPatientAnswer;
import com.supervision.model.MedicalRec;
import com.supervision.model.Patient;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import javax.validation.constraints.NotBlank;
import java.util.List;

@EqualsAndHashCode(callSuper = true)
@Data
@ApiModel(value = "病历管理详细信息", parent = MedicalRecManageVO.class)
public class MedicalRecInfoVO extends MedicalRecManageVO {

    @ApiModelProperty("辅助检查")
    private List<MedicalRecCheckResVO> ancillaryList;

    @ApiModelProperty("体格检查")
    private List<MedicalRecCheckResVO> physicalList;

    @ApiModelProperty("处置计划列表")
    private List<MedicalRecTreatmentPlanResVO> treatmentPlanList;

}
